Vraag & Antwoord

OS Linux

Nieuwe kernel geen fat32 ondersteuning

8 antwoorden
  • Ik heb zojuist een nieuwe linux kernel (2.4.8) in gebruik genomen, maar nu kan ik geen fat32 filesysteem meer mounten. Bestaat er een module voor die ik kan inladen of moet ik de kernel opnieuw configureren en compilen?
  • ik hoop dat de 2.4.8 een typo was... je kunt beter 2.4.18 nemen verder is het inderdaad goed mogelijk dat je opnieuw moet configureren & compileren. waarschijnlijk heb je namelijk de fat-ondersteuning niet meegecompileerd
  • Over dit onderwerp weet ik inmiddels alles (maar niet heus ;-)) nadat ik voor het eerst een eigen kernel heb gecompileerd afgelopen maandag. Ik had iets met de geluidsondersteuning verkeerd gedaan en daarom kreeg ik met mijn nieuwe kernel het geluid niet aan de praat :D Inderdaad even opnieuw gecompileerd, en het voordeel is dat het de tweede keer helemaal niet lang duurt. Dan compileert ie nl. niet alles opnieuw, maar alleen de benodigde zaken. Alles wat je dan nog hoeft te doen, is de nieuwe kernel in /boot zetten en even lilo opnieuw runnen.
  • Het schijnt dat fat32 niet wordt ondersteunt bij Debian met een kernel 2.4.8. Omdat deze kernel nog niet Debian ready is. Ik denk toch maar dat ik ga upgraden naar 'woody'. Hij is echter nog in testfase maar schijnt bijna frozen te zijn.
  • Maar dan heb ik toch dezelfde vraag als Mithrandir: waarom neem je niet gewoon de nieuwste stabiele kernel? Dat is nu 2.4.18
  • Kan Debian daar dan beter mee overweg?
  • Dat weet ik niet, dat ligt eraan of die problemen met 2.4.8 en Debian aan de kernel of aan de distro lagen ... Met SuSE 7.3 werkt ie als een tierelier ,maar daar heb jij natuurlijk niets aan. Uitproberen, zou ik zeggen, dan merk je het vanzelf :) Of even zoeken met Google in fora e.d.
  • Ik zou ook gewoon 2.4.18 nemen, kernels tussen 2.4.7 en 2.4.13 waren hier en daar behoorlijk wat minder stabiel dan normaal. 2.4.17 en .18 zijn goed. Fat 32 is een kernelmodule die normaal gesproken automatisch wordt geladen, maar als je veel fat32 gebruikt kun je hem net zo goed in de kernel meebakken. Mogelijk wordt hij niet goed geladen omdat: - de draaiende kernel een andere versie heeft dan het /lib/modules/<versie> pad waar de modules staan (bijv. vergeten lilo te runnen) - je de module vergeten bent te compileren (vergeten in de configuratie in te stellen) succes!

Beantwoord deze vraag

Weet jij het antwoord op deze vraag? Registreer of meld je aan met je account

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.